%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Crypt-DH

Summary: 	Diffie-Hellman key exchange system
Name: 		perl-Crypt-DH
Version: 	0.06
Release: 	9.3
License: 	Artistic/GPL
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Crypt-DH/


Source: 	http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/Crypt-DH-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl

%description
This module implements the Diffie-Hellman key exchange system.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Crypt
%{perl_vendorlib}/Crypt/DH.pm
%{_mandir}/man3/Crypt::DH.3pm*

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net> - 0.06
- initial release

